CC*********************************************************************IMOD00001
CC THE SAP USERS GROUP MAKES NO WARRANTY THAT THE MODEL PROGRAM IS     IMOD00002
CC FREE FROM ERRORS OR DEFECTS AND ASSUMES NO LIABILITY FOR THE        IMOD00003
CC PROGRAM. THE SAP USERS GROUP DISCLAIMS ANY EXPRESS WARRANTY  OR     IMOD00004
CC FITNESS FOR ANY INTENDED USE OR PURPOSE. THE MODEL PROGRAM IS       IMOD00005
CC CONSTANTLY BEING DEVELOPED, MODIFIED AND CHECKED AND ANY KNOWN      IMOD00006
CC ERRORS SHOULD BE REPORTED TO THE SAP USERS GROUP.                   IMOD00007
CC*********************************************************************IMOD00008
CC.....................................................................IMOD00009
CC***************************************************************I      MOD00010
CC                                                               I      MOD00011
CC                                                               I      MOD00012
CC      +++++++++++++++++++++++++++++++++++++++++++++++++        I      MOD00013
CC      +    MAIN PROGRAM ** MODEL ** V0-3 JAN-1982     +        I      MOD00014
CC      +                                               +        I      MOD00015
CC      +++++++++++++++++++++++++++++++++++++++++++++++++        I      MOD00016
CC                                                               I      MOD00017
CC      GENERATE MESH FOR ANY 2 OR 3 DIMENSIONAL SHAPES          I      MOD00018
CC      CREATE THE INPUT FOR THE FOLLOWING PROGRAMS :            I      MOD00019
CC      SAP6 , SAP7 , POST , ?                                   I      MOD00020
CC                                                               I      MOD00021
CC...............................................................I      MOD00022
CC      THIS PROGRAM CAN BE OBTAINED FROM S A P USER GROUP       I      MOD00023
CC      UNIVERSITY OF SOUTHERN CALIFORNIA,UNIVERSITY PARK        I      MOD00024
CC      LOS ANGELES,90007   TEL 213-743-5508                     I      MOD00025
CC                                                               I      MOD00026
CC      COPY RIGHT 1982 SAP USER GROUP    ALL RIGHTS RESERVED    I      MOD00027
CC                                                               I      MOD00028
CC...............................................................I      MOD00029
CC      ACCEPTABL COMMANDS ;                                     I      MOD00030
CC      EN= END                                                  I      MOD00031
CC      SU= SURFACE,INCS,INCT,PERS,PERT                          I      MOD00032
CC      VO= VOLUME,INCS,INCT,INCR,PERS,PERT,PERR                 I      MOD00033
CC      NO= NODE,N,X,Y,Z                                         I      MOD00034
CC      FI= FIXED,N1,N2,INCR,DX,DY,DZ,NM,ND,NR,RX,RY,RZ          I      MOD00035
CC      NW= NWRITE  ;WRITE NODE COORDINATES                             MOD00036
CC      EW= EWRITE  ;WRITE ELEMENT CONNECTION                           MOD00037
CC      EL= ELEMENTS,M,ITYP,IPS,BETA.THICK,MTYP,IEL    ...FOR 2D I      MOD00038
CC      EL= ELEMENTS,M,ITYP,IPS,MTYP,IST,IELD,IELX,NDLS  .FOR 3D I      MOD00039
CC      RE= REPEAT,NTIM,IEL1,IEL2,INC,IADD                       I      MOD00040
CC      RO= ROTATE,NTIM,N1,N2,INC,IADD,DEGREE,AXIS               I      MOD00041
CC      TR= TRANSLATE,NTIM,N1,N2,INC,IADD,DX,DY,DZ               I      MOD00042
CC      SY= SYMET,N1,N2,INC,IADD,X,Y,Z                           I      MOD00043
CC      SA= SAP6                                                 I      MOD00044
CC      SC= SCALE,NTIM,N1,N2,INC,IADD,SX,SY,SZ                   I      MOD00045
CC      ME= MERGE,ZONE                                           I      MOD00046
CC      RN= RNUMBER                                              I      MOD00047
CC      CC= COMMENT CARD                                         I      MOD00048
CC      FIL= FILL,NTIM,N1,N2,NFILL,NSTRT,INC,IADD                I      MOD00049
CC      DN= DNODE,N1,N2,INC                                      I      MOD00050
CC      DI= DIGITISE,I                                           I      MOD00051
CC      LO= LOAD ,LCAE,KEY                                       I      MOD00052
CC      QS= QSURFACE,INCS,INCT,PERS,PERT,KEY                     I      MOD00053
CC          N1,N2,......N8                                       I      MOD00054
CC      QV= QVOLUME,INCS,INCT,INCR,PERS,PERT,PERR,KEY            I      MOD00055
CC          N1,N2,......N20                                      I      MOD00056
CC      TS= TSURFACE,N                                           I      MOD00057
CC          N1,N2,.....N6                                        I      MOD00058
CC      CG= CG,IECHO                                             I      MOD00059
CC      RC= RCOOR,N                                              I      MOD00060
CC                                                               I      MOD00061
CC                                                               I      MOD00062
CC      TAPE REQUIRE BY THE PROGRAM                              I      MOD00063
CC      IN=READ DATA INPUT TO MODEL PROGRAM                      I      MOD00064
CC      ITER=READ FROM TERMINAL FOR INTERACTIVE                  I      MOD00065
CC      IS6= OUTPUT FOR SAP6                                     I      MOD00066
CC      IO=WRITE RESULT AND ERROR MESSAGES                       I      MOD00067
CC      IP=WRITE PLOT FILE FOR POST                              I      MOD00068
CC      INP=WRITE INPUT FOR SAP7 (UNFORMATTED)                   I      MOD00069
CC      INPF = WRITE INPUT FOR SAP7 FORMATTED                    I      MOD00070
CC      FOR015.DAT WRITE BOUNDARY CONDITION FOR POST PROGRAM     I      MOD00071
CC      FOR050.DAT IT IS SCRATCH FILE                            I      MOD00072
CC      FOR051.DAT    "     "     "                              I      MOD00073
CC      FOR052.DAT    "     "     "                              I      MOD00074
CC      FOR058.DAT    "     "     "                              I      MOD00075
CC      FOR017.DAT    "     "     "                              I      MOD00076
CC      FOR022.DAT    "     "     "                              I      MOD00077
CC      FOR060.DAT  READ THE MATERIAL PROPERTIES                 I      MOD00078
CC      FOR026.DAT  READ THE DIGITISE NODES                      I      MOD00079
CC      FOR027.DAT  READ NODES AND COORDINATES (FREE FORMAT)     I      MOD00080
CC      FOR057.DAT  NODEL POINT LOADS                            I      MOD00081
CC---------------------------------------------------------------I      MOD00082
CC      ORIGINAL PROGRAMMER :                                    I      MOD00083
CC                                                               I      MOD00084
CC      DR.FIROOZ GHASSEMI        TEL 213-743 8939               I      MOD00085
CC      ------------------        -----------------              I      MOD00086
CC                                                               I      MOD00087
CC***************************************************************I      MOD00088
CC    PROGRAM NMODEL                                                    MOD##088
      INTEGER AGET,AGETW                                                MOD00089
      LOGICAL IGET,RGET                                                 MOD00090
      COMMON  A(50000) 
      COMMON/NONLIN/INON,ITHIS                                          MOD00092
      COMMON/ECHOT/IECHOT                                               MOD00093
      COMMON/SKE/CANG,SANG                                              MOD00094
      COMMON/TERM1/DUMY26(3)                                            MOD00095
      COMMON/AXES/DUMY27(2)                                             MOD00096
      COMMON/BEAM3/IGEN3                                                MOD00097
      COMMON/A/DUM1(5)                                                  MOD00098
      COMMON/BAND/DUM2(4)                                               MOD00099
      COMMON/ELPAR/DUM3(31)                                             MOD00100
      COMMON/FRECNT/DUM4(97)                                            MOD00101
      COMMON/JACHEK/DUM5(2)                                             MOD00102
      COMMON/NONLIN/DUM6(3)                                             MOD00103
      COMMON/OUTS/DUM7(8)                                               MOD00104
      COMMON/PREP/DUM8(5)                                               MOD00105
      COMMON/SAP/DUM9(3)                                                MOD00106
      COMMON/SIZE/DUM10(5)                                              MOD00107
      COMMON/SUPEL/DUM11(5)                                             MOD00108
      COMMON/TRASH/DUM12(472)                                           MOD00109
      COMMON/SEQUEN/ISEQU,ISTART,INCRE                                  MOD00110
      COMMON/TLOAD1/IDUM13(4),DUM00,MTOT1                               MOD00111
      COMMON/ELARRY/NELAR(4,20)                                         MOD00112
      COMMON/ETITLE/TITLE(20)                                           MOD00113
      COMMON/UNIT/IN,IO,IP,INP,INPF,ITER,IS6,I30,I57,I58,I60            MOD00114
     1,I22,I26,I27                                                      MOD00115
      COMMON/TOTAL/MAXELM,MAXNOD,MAXNDM,MAXGRO                          MOD00116
      COMMON/SAP6/ISAP6                                                 MOD00117
      DIMENSION ICOM(70),ICC(20),COOR(8,3),INDE(8)                      MOD00118
      DATA ICOM(1)/1HE/,ICOM(2)/1HN/                                    MOD00119
      DATA ICOM(3)/1HS/,ICOM(4)/1HU/                                    MOD00120
      DATA ICOM(5)/1HV/,ICOM(6)/1HO/                                    MOD00121
      DATA ICOM(7)/1HN/,ICOM(8)/1HO/                                    MOD00122
      DATA ICOM(9)/1HF/,ICOM(10)/1HI/                                   MOD00123
      DATA ICOM(11)/1HG/,ICOM(12)/1HE/                                  MOD00124
      DATA ICOM(13)/1HE/,ICOM(14)/1HL/                                  MOD00125
      DATA ICOM(15)/1HR/,ICOM(16)/1HE/                                  MOD00126
      DATA ICOM(17)/1HR/,ICOM(18)/1HO/                                  MOD00127
      DATA ICOM(19)/1HT/,ICOM(20)/1HR/                                  MOD00128
      DATA ICOM(21)/1HM/,ICOM(22)/1HE/                                  MOD00129
      DATA ICOM(23)/1HS/,ICOM(24)/1HC/                                  MOD00130
      DATA ICOM(25)/1HC/,ICOM(26)/1HC/                                  MOD00131
      DATA ICOM(27)/1HN/,ICOM(28)/1HW/                                  MOD00132
      DATA ICOM(29)/1HE/,ICOM(30)/1HW/                                  MOD00133
      DATA ICOM(31)/1HR/,ICOM(32)/1HN/                                  MOD00134
      DATA ICOM(33)/1HD/,ICOM(34)/1HN/                                  MOD00135
      DATA ICOM(35)/1HD/,ICOM(36)/1HI/                                  MOD00136
      DATA ICOM(37)/1HS/,ICOM(38)/1HY/                                  MOD00137
      DATA ICOM(39)/1HS/,ICOM(40)/1HA/                                  MOD00138
      DATA ICOM(41)/1HL/,ICOM(42)/1HO/                                  MOD00139
      DATA ICOM(43)/1HN/,ICOM(44)/1HE/                                  MOD00140
      DATA ICOM(45)/1HT/,ICOM(46)/1HS/                                  MOD00141
      DATA ICOM(47)/1HR/,ICOM(48)/1HC/                                  MOD00142
      DATA ICOM(49)/1HC/,ICOM(50)/1HG/                                  MOD00143
      DATA ICOM(51)/1HQ/,ICOM(52)/1HS/                                  MOD00144
      DATA ICOM(53)/1HQ/,ICOM(54)/1HV/                                  MOD00145
      DATA ICOM(55)/1HM/,ICOM(56)/1HA/                                  MOD00146
      DATA ICOM(57)/1HJ/,ICOM(58)/1HA/                                  MOD00147
      DATA ICOM(59)/1HB/,ICOM(60)/1HE/                                  MOD00148
      DATA ICOM(61)/1HP/,ICOM(62)/1HU/                                  MOD00149
      DATA ICOM(63)/1HS/,ICOM(64)/1HE/                                  MOD00150
      DATA ICOM(65)/1HE/,ICOM(66)/1HC/                                  MOD00151
      DATA BLANK/1H /,LLL/1HL/,HELP/4HHELP/                             MOD00152
      CALL OPENS                                                        MOD00153
      MAXELM=0                                                          MOD00154
      ISEQU=0                                                           MOD00155
      IECHOT=0                                                          MOD00156
      ISTART=0                                                          MOD00157
      INCRE=0                                                           MOD00158
      MTOT1=0                                                           MOD00159
      IGEN3=0                                                           MOD00160
      IZERO=0                                                           MOD00161
      MAXNOD=0                                                          MOD00162
      MAXGRO=0                                                          MOD00163
      INON=0                                                            MOD00164
      ITHIS=0                                                           MOD00165
      ICGDON=0                                                          MOD00166
      IJADON=0                                                          MOD00167
      MAXNDM=8                                                          MOD00168
      REWIND 50                                                         MOD00169
      REWIND 52                                                         MOD00170
      REWIND 51                                                         MOD00171
      CALL STIME                                                        MOD00172
      CALL GETTIM(NH1,NM1,NS1,NUM1)
      DO 66 I=1,80                                                      MOD00174
66    DUM4(I)=BLANK
      IN=5                                                              MOD00176
      I22=22                                                            MOD00177
      I26=26                                                            MOD00178
      I27=27                                                            MOD00179
      ITER=5                                                            MOD00180
      IS6=19                                                            MOD00181
      IO=6                                                              MOD00182
      IP=14                                                             MOD00183
      INP=21                                                            MOD00184
      I60=60                                                            MOD00185
      INPF=20                                                           MOD00186
      I30=30                                                            MOD00187
      I57=57                                                            MOD00188
      I58=58                                                            MOD00189
      REWIND I57                                                        MOD00190
      MTOTAL=50000 
      ISAP6=0                                                           MOD00192
      IFILE=0                                                           MOD00193
      READ(IN,90)TITLE                                                  MOD00194
90    FORMAT(20A4)                                                      MOD00195
CC    IF(TITLE(1).NE.HELP)GO TO 80                                      MOD00196
CC    CALL HELP1(ICOM)                                                  MOD00197
CC    READ(IN,90)TITLE                                                  MOD00198
80    CALL GETNL(GET001)                                                MOD00199
      IF(IGET(LIMIT))CALL PRTERR(0)                                     MOD00200
      IF(IGET(NUMEL))CALL PRTERR(0)                                     MOD00201
      IF(LIMIT.LE.0)CALL PRTERR(1)                                      MOD00202
      IF(NUMEL.LE.0)CALL PRTERR(1)                                      MOD00203
      N1=1                                                              MOD00204
      N2=N1+LIMIT                                                       MOD00205
      N3=N2+LIMIT                                                       MOD00206
      N4=N3+LIMIT                                                       MOD00207
      N5=N4+LIMIT                                                       MOD00208
      N6=N5+6*LIMIT                                                     MOD00209
      N7=N6+NUMEL                                                       MOD00210
      N8=N7+NUMEL                                                       MOD00211
      N9=N8+NUMEL                                                       MOD00212
      N10=N9+NUMEL                                                      MOD00213
      N11=N10+NUMEL                                                     MOD00214
      N12=N11+20*NUMEL                                                  MOD00215
      N13=N12+LIMIT                                                     MOD00216
      N14=N13+LIMIT                                                     MOD00217
      N15=N14+NUMEL                                                     MOD00218
      N16=N15+NUMEL                                                     MOD00219
      N17=N16+NUMEL                                                     MOD00220
      N18=N17+LIMIT                                                     MOD00221
      N19=N18+NUMEL                                                     MOD00222
      N20=N19+NUMEL                                                     MOD00223
      N21=N20+NUMEL                                                     MOD00224
      N22=N21+NUMEL                                                     MOD00225
      N23=N22+LIMIT*2                                                   MOD00226
      N24=N23+LIMIT                                                     MOD00227
      IF(N24.GT.MTOTAL)CALL PRTERR(8)                                   MOD00228
      N24X=N24-1                                                        MOD00229
      DO 98 I=1,N24X                                                    MOD00230
98    A(I)=0.                                                           MOD00231
100   CALL GETNL(GET001)                                                MOD00232
      I=AGETW(AG001)                                                    MOD00233
      K=AGET(2)                                                         MOD00234
      KEY=1                                                             MOD00235
      DO 110 J=1,65,2                                                   MOD00236
      L=J+1                                                             MOD00237
      IF(ICOM(J).EQ.I.AND.ICOM(L).EQ.K)GO TO 120                        MOD00238
      KEY=KEY+1                                                         MOD00239
110   CONTINUE                                                          MOD00240
      WRITE(IO,111)I,K                                                  MOD00241
111   FORMAT('  ++ F ++ CONTROL KEY = ',A1,A1,'  IS ILLEGAL')           MOD00242
      STOP                                                              MOD00243
120   GO TO (1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,1,17,18,19,20          MOD00244
     1,21,22,23,24,1,26,27,28,1,30,31,32,33),KEY                        MOD00245
1     IF(ICGDON.EQ.1)GO TO 1016                                         MOD00246
      IF(IJADON.EQ.1)GO TO 1016                                         MOD00247
      IF(IFILE.EQ.0)GO TO 214                                           MOD00248
223   WRITE(IP,233)MAXELM                                               MOD00249
233   FORMAT(5X,I5)                                                     MOD00250
      REWIND 50                                                         MOD00251
      DO 234 MM=1,MAXELM                                                MOD00252
      READ(50)MT1,MT2,MH,DENS,AREA                                      MOD00253
      WRITE(IP,222)MT1,MT2,DENS,AREA                                    MOD00254
222   FORMAT(5X,I5,6X,I5,2E12.5)                                        MOD00255
      READ(50)M1,(ICC(KK),KK=1,MH)                                      MOD00256
      WRITE(IP,228)MM,(ICC(KK),KK=1,MH)                                 MOD00257
228   FORMAT(5X,I5,20(I5))                                              MOD00258
234   CONTINUE                                                          MOD00259
      WRITE(IP,222)IZERO,IZERO                                          MOD00260
      IF(MAXELM.NE.NUMEL)WRITE(IO,236)MAXELM                            MOD00261
      IF(MAXELM.EQ.NUMEL)WRITE(IO,300)MAXELM                            MOD00262
300   FORMAT(' . . .    TOTAL ELEMENTS GENERATED ARE = ',I5)            MOD00263
236   FORMAT(' ++ W ++  TOTAL ELEMENTS GENERATED = ',I5)                MOD00264
235   FORMAT(A4)                                                        MOD00265
      IF(ISAP6.NE.1)GO TO 2010                                          MOD00266
      WRITE(IO,1020)                                                    MOD00267
      CALL FCOPY1                                                       MOD00268
2010  IF(KEY.NE.16)GO TO 1000                                           MOD00269
      IF(INON.EQ.1)GO TO 1000                                           MOD00270
2030  WRITE(IO,250)                                                     MOD00271
250   FORMAT(1X,/,' . . .    START RENUMBERING THE MESH   . . .')       MOD00272
      CALL RENUM1                                                       MOD00273
1000  IF(ISAP6.EQ.1)GO TO 1015                                          MOD00274
1020  FORMAT(' . . . .  CREATING INPUT FOR SAP6')                       MOD00275
1015  IF(INON.EQ.0)GO TO 1016                                           MOD00276
      WRITE(IO,1017)                                                    MOD00277
1017  FORMAT(' * * *    START RENUMBERING THE MESH FOR NON-LINEAR       MOD00278
     1ELEMENTS * * *')                                                  MOD00279
CC    CALL NODERE(LIMIT,A(N17))                                         MOD00280
1016  IF(KEY.EQ.25)GO TO 25                                             MOD00281
      IF(KEY.EQ.29)GO TO 29                                             MOD00282
      IF(ISAP6.EQ.1)GO TO 1027                                          MOD00283
1010  REWIND 52                                                         MOD00284
      WRITE(I30,1018)TITLE                                              MOD00285
1018  FORMAT(20A4)                                                      MOD00286
      WRITE(I30,1019)MAXNOD,MAXELM,MAXGRO,MTOT1                         MOD00287
1019  FORMAT(4I10)                                                      MOD00288
      DO 1021 MB=1,MAXGRO                                               MOD00289
      READ(52)NNEE,NNTYPE,NONTYP                                        MOD00290
      WRITE(I30,1022)NNEE,NNTYPE,NONTYP                                 MOD00291
1022  FORMAT(2I10,I2)                                                   MOD00292
1021  CONTINUE                                                          MOD00293
1027  CONTINUE                                                          MOD00294
      CALL GETTIM(NH2,NM2,NS2,NUS2)
      NH2=NH2-NH1
      NM2=NM2-NM1
      NS2=NS2-NS1
      WRITE(IO,1001)NH2,NM2,MS2
1001   FORMAT(//,' . . . .  ',I2,':',I2,':',I2,' TIME WERE USED TO GENER
     1ATE THIS MESH ',' . . . .')                                       
      CALL CFILES
      STOP                                                              MOD00301
14    IFILE=1                                                           MOD00302
214   CALL PRCOOR(LIMIT,A(N1),A(N2),A(N3),A(N4),A(N5),A(N23))           MOD00303
      IF(IFILE.EQ.0)GO TO 215                                           MOD00304
      GO TO 100                                                         MOD00305
15    IFILE=1                                                           MOD00306
215   CALL PRELEM(LIMIT,NUMEL,A(N6),A(N7),A(N8),A(N9),A(N10),A(N11)     MOD00307
     1,A(N14),A(N15),A(N16),A(N18),A(N19),A(N20)                        MOD00308
     &,A(N21),A(N22),A(N23))                                            MOD00309
      IF(IFILE.EQ.0)GO TO 223                                           MOD00310
      GO TO 100                                                         MOD00311
2     CALL PRE2(2,LIMIT,NUMEL,A(N1),A(N2),A(N3),A(N4),A(N5))            MOD00312
      GO TO 100                                                         MOD00313
3     CALL PRE2(3,LIMIT,NUMEL,A(N1),A(N2),A(N3),A(N4),A(N5))            MOD00314
      GO TO 100                                                         MOD00315
4     CALL NODE1(LIMIT,A(N1),A(N2),A(N3),A(N4))                         MOD00316
      GO TO 100                                                         MOD00317
5     MM=AGET(3)                                                        MOD00318
      IF(MM.EQ.LLL)GO TO 205                                            MOD00319
      CALL READBN(LIMIT,A(N5))                                          MOD00320
      GO TO 100                                                         MOD00321
205   CALL FILL1(LIMIT,A(N1),A(N2),A(N3),A(N4))                         MOD00322
      GO TO 100                                                         MOD00323
6     STOP                                                              MOD00324
7     CALL ELEM1(LIMIT,NUMEL,A(N6),A(N7),A(N8),A(N9),A(N10),A(N11)      MOD00325
     1,A(N14),A(N15),A(N16),A(N17),A(N18),A(N19)                        MOD00326
     &,A(N20),A(N21))                                                   MOD00327
      GO TO 100                                                         MOD00328
8     CALL REPEA1(LIMIT,NUMEL,A(N6),A(N7),A(N8),A(N9),A(N10),A(N11)     MOD00329
     1,A(N14),A(N15),A(N16),A(N17),A(N18)                               MOD00330
     &,A(N19),A(N20),A(N21))                                            MOD00331
      GO TO 100                                                         MOD00332
9     CALL ROTAT1(LIMIT,A(N1),A(N2),A(N3),A(N4))                        MOD00333
      GO TO 100                                                         MOD00334
10    CALL TRANS1(LIMIT,A(N1),A(N2),A(N3),A(N4))                        MOD00335
      GO TO 100                                                         MOD00336
11    CALL MERGE1(LIMIT,NUMEL,A(N1),A(N2),A(N3),A(N4),A(N5),A(N11)      MOD00337
     1,A(N12),A(N13),A(N17))                                            MOD00338
      GO TO 100                                                         MOD00339
12    CALL SCALE1(LIMIT,A(N1),A(N2),A(N3),A(N4))                        MOD00340
13    GO TO 100                                                         MOD00341
17    CALL DNODE1(LIMIT,NUMEL,A(N1),A(N2),A(N3),A(N4),A(N5),A(N11))     MOD00342
      GO TO 100                                                         MOD00343
18    IF(IGET(IREST))CALL PRTERR(0)                                     MOD00344
      CALL RECOOR(LIMIT,NUMEL,A(N1),A(N2),A(N3),A(N4),A(N11),A(N12)     MOD00345
     1,A(N13),A(N6),A(N7),A(N8),A(N9),A(N10),A(N14))                    MOD00346
      IF(IREST.EQ.1)GO TO 100                                           MOD00347
CC    CALL DIGIT1(LIMIT,NUMEL,A(N1),A(N2),A(N3),A(N4),A(N12)            MOD00348
CC   1,A(N13),A(N6),A(N7),A(N8),A(N9),A(N10),A(N11),A(N14))             MOD00349
CC    GO TO 100                                                         MOD00350
19    CALL SYMET1(LIMIT,A(N1),A(N2),A(N3),A(N4))                        MOD00351
      GO TO 100                                                         MOD00352
20    ISAP6=1                                                           MOD00353
      GO TO 100                                                         MOD00354
21    MM=N17-1                                                          MOD00355
      DO 279 I=1,MM                                                     MOD00356
      A(I)=0.0                                                          MOD00357
279   CONTINUE                                                          MOD00358
      CALL LOAD1(LIMIT,NUMEL)                                           MOD00359
      GO TO 100                                                         MOD00360
22    INON=1                                                            MOD00361
      ITHIS=1                                                           MOD00362
      GO TO 7                                                           MOD00363
23    CALL TRIAN1(LIMIT,A(N1),A(N2),A(N3),A(N4))                        MOD00364
      GO TO 100                                                         MOD00365
24    CALL RECO1(LIMIT,A(N1),A(N2),A(N3),A(N4))                         MOD00366
      GO TO 100                                                         MOD00367
25    IF(IGET(IECHO))CALL PRTERR(0)                                     MOD00368
      CALL CG1(IECHO)                                                   MOD00369
      ICGDON=1                                                          MOD00370
      GO TO 100                                                         MOD00371
26    CALL PRE2(4,LIMIT,NUMEL,A(N1),A(N2),A(N3),A(N4),A(N5))            MOD00372
      GO TO 100                                                         MOD00373
27    CALL PRE2(5,LIMIT,NUMEL,A(N1),A(N2),A(N3),A(N4),A(N5))            MOD00374
      GO TO 100                                                         MOD00375
28    CALL MATRI1                                                       MOD00376
      GO TO 100                                                         MOD00377
29    CALL JACOB1                                                       MOD00378
      IJADON=1                                                          MOD00379
      GO TO 100                                                         MOD00380
30    IF(IGET(IGEN3))CALL PRTERR(0)                                     MOD00381
      GO TO 100                                                         MOD00382
31    CALL PUSH1(LIMIT,A(N2),A(N22))                                    MOD00383
      GO TO 100                                                         MOD00384
32    IF(IGET(ISTART))CALL PRTERR(0)                                    MOD00385
      IF(IGET(INCRE))CALL PRTERR(0)                                     MOD00386
      IF(ISTART.LE.0)ISTART=1                                           MOD00387
      IF(INCRE.EQ.0)INCRE=1                                             MOD00388
      ISEQU=1                                                           MOD00389
      GO TO 100                                                         MOD00390
33    IECHOT=1                                                          MOD00391
      GO TO 100                                                         MOD00392
      END                                                               MOD00393
      BLOCK DATA                                                        MOD00394
      INTEGER SECT,POINT,BEGIN,GETSEC,EPOINT,BLANK,AGET,AGETW           MOD00395
      LOGICAL EOL,EOS,EOF,ERROR,INDEX,GETWRD,IGET,RGET,ERR1             MOD00396
      COMMON/ELARRY/NELAR(4,20)                                         MOD00397
      COMMON  /FRECNT/ LINE(80),SECT,EOL,EOS,EOF,                       MOD00398
     1ERROR,BLANK,ICOMMA,POINT,BEGIN,LENGTH,                            MOD00399
     2EPOINT,NSECT,LINENM,MAXSTR,KUNIT,JUNIT,IUNIT                      MOD00400
      COMMON/FRECNM/MULTIP                                              MOD00401
      DATA MULTIP/0/                                                    MOD00402
      DATA BLANK/1H /,ICOMMA/1H,/,ERROR/.FALSE./,                       MOD00403
     2POINT/1/,BEGIN/1/,LENGTH/0/,EPOINT/1/,                            MOD00404
     3LINE/80*1H /,MAXSTR/1/,LINENM/1/                                  MOD00405
      DATA NELAR/2,2,6,2,                                               MOD00406
     13,2,12,26,                                                        MOD00407
     14,4,12,8,                                                         MOD00408
     14,4,8,4,                                                          MOD00409
     18,8,33,54,                                                        MOD00410
     14,4,42,12,                                                        MOD00411
     11,1,1,1,                                                          MOD00412
     14,4,8,4,                                                          MOD00413
     13,2,12,39,                                                        MOD00414
     120,20,60,54,                                                      MOD00415
     18,8,16,52,                                                        MOD00416
     18,8,16,52,                                                        MOD00417
     18,8,16,52,                                                        MOD00418
     14,1,6,6,                                                          MOD00419
     18,8,48,48,                                                        MOD00420
     19,9,27,52,                                                        MOD00421
     120,20,40,40,                                                      MOD00422
     116,16,32,52,8*0/                                                  MOD00423
      END                                                               MOD00424
